{
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5353,
                    "column": 5,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1520,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'SvRV_set'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5376,
                    "column": 10,
                    "event": "note",
                    "message": "Calling 'retrieve_ref'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5320,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'cname' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5320,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 24,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1275,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1258,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'SEEN0_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embed.h",
                    "line": 152,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'av_store'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1275,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1258,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'SEEN0_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1275,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1257,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'SEEN0_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/ppport.h",
                    "line": 12407,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 17,
                    "event": "note",
                    "message": "'stash' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1276,
                    "column": 13,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1276,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5324,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false.  Exiting loop",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 1274,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'SEEN_NN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/ppport.h",
                    "line": 12407,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'STMT_START'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5326,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'sv' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5326,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5346,
                    "column": 9,
                    "event": "note",
                    "message": "'cname' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5346,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5353,
                    "column": 5,
                    "event": "note",
                    "message": "'sv_' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1515,
                    "column": 17,
                    "event": "note",
                    "message": "expanded from macro 'SvRV_set'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 5353,
                    "column": 5,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1520,
                    "column": 37,
                    "event": "note",
                    "message": "expanded from macro 'SvRV_set'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7676,
                    "column": 12,
                    "event": "warning[core.NullDereference]",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 652,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'MBUF_SIZE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 624,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'mptr'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.c",
                    "line": 8014,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'items' is equal to 1",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.c",
                    "line": 8014,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7829,
                    "column": 14,
                    "event": "note",
                    "message": "Calling 'dclone'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 500,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 492,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_SV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/hv.h",
                    "line": 541,
                    "column": 52,
                    "event": "note",
                    "message": "expanded from macro 'hv_fetch'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming 'perinterp_sv' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 497,
                    "column": 19,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1003,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvIOK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 374,
                    "column": 21,
                    "event": "note",
                    "message": "expanded from macro 'SvFLAGS'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming field 'xivu_iv' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 497,
                    "column": 42,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 1435,
                    "column": 23,
                    "event": "note",
                    "message": "expanded from macro 'SvIVX'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7622,
                    "column": 5,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7635,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 's_dirty' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7635,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7642,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/sv.h",
                    "line": 402,
                    "column": 20,
                    "event": "note",
                    "message": "expanded from macro 'SvTYPE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7646,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7657,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7657,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7665,
                    "column": 7,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 500,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 492,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_SV'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/hv.h",
                    "line": 541,
                    "column": 52,
                    "event": "note",
                    "message": "expanded from macro 'hv_fetch'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7665,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'perinterp_sv' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7665,
                    "column": 7,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 497,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7665,
                    "column": 7,
                    "event": "note",
                    "message": "'cxt' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 501,
                    "column": 16,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 496,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'dSTCXT_PTR'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7665,
                    "column": 15,
                    "event": "note",
                    "message": "Null pointer value stored to 'real_context'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7666,
                    "column": 5,
                    "event": "note",
                    "message": "Null pointer value stored to 'cxt'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 7676,
                    "column": 12,
                    "event": "note",
                    "message": "Dereference of null pointer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 652,
                    "column": 22,
                    "event": "note",
                    "message": "expanded from macro 'MBUF_SIZE'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.xs",
                    "line": 624,
                    "column": 14,
                    "event": "note",
                    "message": "expanded from macro 'mptr'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Storable-3.32-build/Storable-3.25/Storable.c",
                    "line": 0,
                    "event": "internal warning",
                    "message": "child 90 timed out after 30s",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
